<?php
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';

$set['title'] = 'Лента моих читателей ';
include_once 'sys/inc/thead.php';

title();
echo "<div class='tmn'>";
echo "<center><img src='/style/icons/lenta.gif' alt='' class='icon'/> <font color='red'>Показаны только публичные действия друзей!</font></center>";
echo '</div>';


if(!isset($user)){
echo '<div class="err">Доступ закрыт.</div>';
}else{

mysql_query("UPDATE `lenta` SET `read` = '1' WHERE `id_kont` = '".$user['id']."' AND `read` = '0'");

$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `lenta` WHERE `id_kont` = '".$user['id']."'"),0);
$k_page = k_page($k_post,$set['p_str']);
$page = page($k_page);
$start = $set['p_str']*$page-$set['p_str'];

if($k_post==0){
	echo '<div class="p_t">Нет новых событий!</div>';
}

$q=mysql_query("SELECT * FROM `lenta` WHERE `id_kont` = '".$user['id']."' ORDER BY id DESC LIMIT $start, $set[p_str]");
while ($post = mysql_fetch_array($q)){
$ank=mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '$post[id_user]'"));
echo "<tr>\n";
if($num==1){
echo "  <div class='tmn'>\n";
$num=0;
}else{
echo "  <div class='menu_razd'>\n";
$num=1;}
echo "".online($ank['id'])." ";
if ($ank['pol']==1)
echo "Ваш читатель\n";
else
echo "Ваша читательница\n";
	echo " <a href='/info.php?id=$ank[id]'><span style=\"color:$ank[ncolor]\">$ank[nick]</span></a>  </a> <br/>";
echo ''.output_text($post['msg']).'';
echo "<div style='text-align: right;'> <font color='red'>".vremja($post[time])."</font> <a href='lenta_del.php?del=$post[id]' title='Удалить'><img src='/style/icons/bdel.png' alt='' class='icon'/></a></div>";
echo "</div>\n";
}
echo "</div>\n";
if($k_page>1){
	str("lenta.php?id=".$user['id']."&amp;",$k_page,$page);
}
}
echo '</div>';
echo "<div class='aut'> <a href='lenta_del.php?del_all=$user[id]'><u>- Очистить ленту</u></div></a>";
include_once 'sys/inc/tfoot.php';
?>
